Skip to content
Formulário para submissão de queixa de estacionamento ilegal
JavaScript HTML Other
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
hooks
images
plugins
res
www
.gitignore
README.md
config.xml
emulateAPP.sh
package-lock.json
package.json
runOnDevice.sh

README.md

Denúncia Estacionamento

Formulário para submissão de queixa de estacionamento ilegal junto de autoridade policial, ao abrigo do n.º 5 do art.º 170.º do Código da Estrada.

O código está desenhado em Javascript para ser corrido num smartphone. Para tal faz uso da plataforma Apache Cordova.

  • A APP para Android está aqui.
  • A APP para iOS está aqui.

Requisitos

Apache Cordova

Este projeto faz uso de Apache Cordova para converter código HTML5 e Javascript para uma aplicação de dispositivo móvel, como Android ou iOS. Precisa, portanto, de ter Apache Cordova instalado na sua máquina.

gradle

O gradle é usado para fazer o build dos projetos Apache Cordova

Java

É uma exigência do Apache Cordova

ADB

O ADB é usado para testar a APP no seu telemóvel Android

Como instalar e testar

  1. Clone este projeto git clone https://github.com/jfoclpf/form-for-parking-violation form-for-parking-violation
  2. Entre na pasta recém criada cd form-for-parking-violation
  3. Adicione a plataforma. Para Android cordova platform add android.
  4. Corra cordova build --release android para construir o projeto na sua máquina. Em Android cria o ficheiro APK na pasta platforms/android/build/outputs/apk

Testar num smartphone

Para testar num smartphone Android precisa de ativar nas configurações do smartphone o Developer options e dentro desse menu precisa de ativar a opção USB debugging.

Depois corra numa linha de comandos

adb devices

para listar os dispositivos Android detectados. Caso o dispositivo seja detetado, corra

cordova run android --device

Para fazer debug no Chrome aceda a chrome://inspect/#devices

Eventuais problemas com Gradle

O gradle é um executor de tarefas de compilação e é instalado aquando de cordova build. Pode dar problemas nesse comando (erro: Could not determine java version from 'x.x.x'). O gradle pode envolver diferentes versões:

  • a versão global: gradle -v
  • a versão local do project (wrapper): ./platforms/android/gradlew -v

Tal pode dar problemas porque diferentes versões de gradle dependem de diferentes versões de java. Verificar a variável JAVA_HOME com echo $JAVA_HOME. Para resolver o problema mudar esta variável e associá-la a outras versões de java, por exemplo:

export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64/ ou
export JAVA_HOME=/usr/lib/jvm/jdk1.8.0_131/ ou
mesmo apagar com export JAVA_HOME=

Plugins necessários

  • ver ficheiro package.json.

Contribuições são muito bem-vindas

  • respeite a estrutura dos ficheiros
  • comente sempre o código (preferencialmente em Inglês), tal ajuda os outros a compreender as suas contribuiçes
  • para identações, use sempre 4 espaços (não use 2 espaços, nem tabulaçes, ou seja TAB)

Licença

GNU GPLv3
http://www.gnu.org/licenses/gpl-3.0.en.html
http://choosealicense.com/licenses/gpl-3.0/

Na comunicação social

You can’t perform that action at this time.